PCP-SLABINFO(1)

NAME
pcp-slabinfo - Report statistics for kernel slab allocator

SYNOPSIS
pcp [pcp options] slabinfo [-a archive] [-s samples] [-Z timezone]

DESCRIPTION
The pcp-slabinfo command is used for viewing different stats related to slab. It helps users analyze useful information related to the slab allocator. The information includes the total number of objects that are currently active, allocated objects, pages per slab, etc. By default, pcp-slabinfo reports live data for the local host.

The statistics shown are as follows:
HEADER | DESCRIPTION
active_objs | The number of objects that are currently active (i.e., in use)
num_objs | The total number of allocated objects (i.e. objects that are both in use and not in use).
objsize | The size of objects in this slab, in bytes.
objperslab | The number of objects stored in each slab.
pagesperslab | The number of pages allocated for each slab
active_slabs | The number of active slabs.
num_slabs | The total number of slabs.

OPTIONS

-a file, --archive=file
    Fetch /proc/slabinfo for a specified archive file

-s count, --samples=count
    Get the slabinfo statistics for specified number of samples count

-V, --version
    Display version number and exit.

-z, --hostzone
    Use the local timezone of the host that is the source of the performance metrics, as identified by either the -h or the -a options. The default is to use the timezone of the local host.

-Z timezone, --timezone=timezone
    Use timezone for the date and time. Timezone is in the format of the environment variable TZ as described in environ(7).

-?, --help
    Display usage message and exit.

NOTES
pcp-slabinfo collects information from /proc/slabinfo.

PCP ENVIRONMENT
Environment variables with the prefix PCP_ are used to parameterize the file and directory names used by PCP. On each installation, the file /etc/pcp.conf contains the local values for these variables. The $PCP_CONF variable may be used to specify an alternative configuration file, as described in pcp.conf(5).

For environment variables affecting PCP tools, see pmGetOptions(3).

SEE ALSO
PCPIntro(1), pcp(1), pmParseInterval(3), environ(7).